eole-exim - Anomalie #3894

Exim supprime les mails que spamassasin detecte comme SPAM

10/08/2012 16:03 - Philippe Caseiro

Statut: Fermé Début: 24/08/2012
Priorité: Haut Echéance: 08/02/2013
Assigné a: Daniel Dehennin % réalisé: 100%
Catégorie: Temps estimé: 2.00 heures
Version cible: Mises a jour 2.3.8 Temps passé: 1.08 heure
Distribution: EOLE 2.3

Description

Exim ne distribue pas les mails marqués comme SPAM par Spamassassin.

(Mais de quel droit ? :).

Les detecteurs de spam ne sont pas parfait, les faux positifs sont perdus.

Exemple : Certain mails de bacula n'arrivent jamais, car Spamassassin dit que ces mails sont du SPAM.

Demandes liées:

Suit eole-exim - Evolution #3924: Ne pas scanner les mails locaux (ex : ceux ...

Classée sans s23/68/2012

Révisions associées

Révision c7d2deb1 - 10/10/2007 18:19 - Jeremy Allison

r16656: Fix #3894 and #3895 reported by jason@ncac.gwu.edu.
Jeremy.
(This used to be commit ddf35ad69201cf9a0aa45ff25e17eddef60d75ad)

Révision ad46f361 - 25/01/2013 13:54 - Daniel Dehennin

Ne pas jeter les mails marqués comme SPAM

e exim4/eole.d/acl/spamassassin.conf: Utiliser le controle « fakerejet »
pour continuer la distribution et ajouter I'entéte « X-Spam-Status »

Fixes: #3894 @30m

Historique

#1 - 23/08/2012 11:44 - Joél Cuissinat
- Statut changé de Nouveau a En attente d'informations
- Version cible changé de Mises a jour 2.3.6 RC a Mises a jour 2.3.7 RC

- Temps estimé mis a 2.00 h

Nécessite plus de réflexion

#2 - 20/09/2012 12:12 - Daniel Dehennin

Le probléme est gu'’ils sont rejeté lors du protocole SMTP.

e Pour les mails venant de I'extérieur, c’est aux MTA qui nous envois le mails de se débrouillé avec le bounce ;

e Pour les mails locaux, il faut décider quoi faire :
o Laisser passer ?
o Envoyer un mail a 'expéditeur ?

#3 - 20/09/2012 14:56 - Daniel Dehennin
Une autre possibilité est d’utiliser le fakereject combinable avec un scanner de spam

Cela permet de faire croire au MTA distant que le mail a été jeté (et donc I'obliger a gérer le bounce) tout en faisant la distribution locale d’'un mail
marqué comme spam.

Le mail est distribué a I'utilisateur local qui devra trié en fonction de I'en-téte du mail par un filtre dans son MUA.

acl_check_data:
(8]

# Invoke SpamAssassin to obtain $spam_score and $spam_report.
# Depending on the classification, $acl_m9 is set to "ham" or "spam".

#
# If the message is classified as spam, pretend to reject it.
#
warn
set acl_m9 = ham
spam = mail
set acl_m9 = spam
control = fakereject
logwrite = :reject: Rejected spam (score $spam_score): $spam_report

# Add an appropriate X-Spam-Status: header to the message.

#
warn
message = X-Spam-Status: \
S{if eq {Sacl_m9}{spam}{Yes}{No}} (score S$spam_score)\
${if def:spam_report {: S$spam_report}}
logwrite = :main: Classified as $acl_m9 (score $spam_score)

#4 - 25/10/2012 10:03 - Fabrice Barconniére

- Version cible changé de Mises a jour 2.3.7 RC a Mises a jour 2.3.8
#5 - 23/01/2013 14:49 - Daniel Dehennin

- Statut changé de En attente d'informations a Accepté

- Assigné a mis a Daniel Dehennin
http://www.exim.org/exim-html-current/doc/html/spec_html/ch42.html
http://www.iitk.ac.in/LDP/HOWTO/Spam-Filtering-for-MX/exim-sa.html

#6 - 28/01/2013 10:49 - Daniel Dehennin
- Statut changé de Accepté a Résolu
- % réalisé changé de 0 a 100

Appliqué par commit ad46f361ab8d3fb2cdda307b3d91f521af867721.

#7 - 05/02/2013 15:00 - Daniel Dehennin
- Echéance changé de 24/08/2012 a 08/02/2013

#8 - 05/02/2013 15:03 - Daniel Dehennin
Disponible dans le paquet dans eole-2.3-dev version 2.3-eole6~2.gbp3ed554

#9 - 13/02/2013 16:38 - Philippe Caseiro

- Statut changé de Résolu a Fermé

Validé sur un AmonEcole 2.3, le spam est bien dans la boite
https://dev-eole.ac-dijon.fr/projects/eole-exim/repository/revisions/ad46f361ab8d3fb2cdda307b3d91f521af867721
http://eoleng.ac-dijon.fr/eoleng/eole-2.3-dev/all/
http://www.tcpdf.org

